Welcome, Guest
Username: Password: Remember me

TOPIC: Install problem on Win XP

Install problem on Win XP 7 months 2 weeks ago #1

  • Claude
  • Claude's Avatar
  • Offline
  • New Member
  • Music For Life
  • Posts: 2
Hi, I installed Polyphone 2.0 on my XP Professionnal pc and when I tried to start the program it gave me an error as shown by the jpg file attachment.
Is there a way to get it to work?
Thanks,
Claude
Attachments:
Claude Veziau, Composer and Songwriter
Auteur-compositeur-interprète
The administrator has disabled public write access.

Install problem on Win XP 7 months 1 week ago #2

  • Davy
  • Davy's Avatar
  • Offline
  • Administrator
  • Organ enthusiast and creator of Polyphone
  • Posts: 252
  • Thank you received: 54
Hi Claude,

Unfortunately windows XP is not supported by the current versions of the Qt framework, used to build Polyphone.
We can see the minimum requirements here (Polyphone has been built with Qt 5.11 and soon with 5.12)
wiki.qt.io/PlatformSupport

I guess you will not like my answer but you should consider upgrading your computer to windows 10 so that you can use the latest versions of the software. Releasing an XP version of Polyphone would be too much extra work to me: the sources of the software might compile but I fear I'll have to change all the dependencies too.

Davy
The administrator has disabled public write access.
The following user(s) said Thank You: Claude

Install problem on Win XP 6 months 4 weeks ago #3

  • Claude
  • Claude's Avatar
  • Offline
  • New Member
  • Music For Life
  • Posts: 2
Thanks for your answer, that's what I expected :)
Not to worry, I downloaded and installed version 1.9 and it works fine with my XP antique... eh, eh, eh...
Cheers,
Claude
Claude Veziau, Composer and Songwriter
Auteur-compositeur-interprète
The administrator has disabled public write access.

Install problem on Win XP 5 months 1 week ago #4

  • mscott
  • mscott's Avatar
  • Offline
  • New Member
  • Posts: 6
  • Thank you received: 1
I have encountered the same issue, however it is not possible to simply upgrade as people suggest
as windows 10 is not a very friendly OS, particularly with SCSI devices and various other legacy hardware.
It's a great program for sure, i'll have to stick to 1.9.
Thanks.

edit: I forgot to mention my error was was showing vcruntime140.dll
Last Edit: 5 months 1 week ago by mscott.
The administrator has disabled public write access.
Time to create page: 0.075 seconds